Gets a commodity
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| commodityId | The commodity Id | integer (int32) | Required |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
CommodityResponse
| Property | Description | Type | |||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| abbreviation | Three letter abbreviation code to represent the commodity | string | |||||||||||||||||||||||||||||||||||||||||||||
| commodityCategory | CommodityCategory | ||||||||||||||||||||||||||||||||||||||||||||||
|
CommodityCategory properties
|
|||||||||||||||||||||||||||||||||||||||||||||||
| commodityCode | The commodity code | string | |||||||||||||||||||||||||||||||||||||||||||||
| commodityId | The commodity identifier | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||
| commodityInfo | The commodity info | string | |||||||||||||||||||||||||||||||||||||||||||||
| demandRollupUnit | UnitChild | ||||||||||||||||||||||||||||||||||||||||||||||
|
UnitChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||
| description | The commodity description | string | |||||||||||||||||||||||||||||||||||||||||||||
| energyReportingUnitConversionMultiplier | The multiplier to convert from the commodity rollup unit to the energy use reporting unit | number (double) | |||||||||||||||||||||||||||||||||||||||||||||
| icon | Icon | ||||||||||||||||||||||||||||||||||||||||||||||
|
Icon properties
|
|||||||||||||||||||||||||||||||||||||||||||||||
| inUse | Indicates if the commodity is in use on a meter/emissions source | boolean | |||||||||||||||||||||||||||||||||||||||||||||
| includeInEnergyReporting | Indicates if the commodity should be included in Energy reporting | boolean | |||||||||||||||||||||||||||||||||||||||||||||
| isSystemCommodity | Indicates if the commodity is a system-level commodity | boolean | |||||||||||||||||||||||||||||||||||||||||||||
| useRollupUnit | UnitChild | ||||||||||||||||||||||||||||||||||||||||||||||
|
UnitChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "abbreviation": "string", "commodityCategory": { "commodityCategoryId": 1, "commodityCategoryInfo": "string", "commonDemandUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "commonUseUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}
}, "commodityCode": "string", "commodityId": 1, "commodityInfo": "string", "demandRollupUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "description": "string", "energyReportingUnitConversionMultiplier": 1.0, "icon": { "code": "string", "color": "string"
}, "inUse": false, "includeInEnergyReporting": false, "isSystemCommodity": false, "useRollupUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}
}